# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We need to patch the test suite unless we have Test::More ≥ 0.88
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Role-Tiny
Version:	1.003003
Release:	2.%{__distinit}%{__distvers}
Summary:	A nouvelle cuisine portion size slice of Moose
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Role-Tiny/
Source0:	http://search.cpan.org/CPAN/authors/id/H/HA/HAARG/Role-Tiny-%{version}.tar.gz
Patch0:		Role-Tiny-1.003003-old-Test::More.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(base)
BuildRequires:	perl(constant)
BuildRequires:	perl(Class::Method::Modifiers) >= 1.05
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(lib)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Test::Fatal) >= 0.003
BuildRequires:	perl(Test::More) >= 0.47
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Class::Method::Modifiers) >= 1.05

# Handle mro dependencies
%if %(perl -e 'print $] >= 5.010000 ? 1 : 0;')
BuildRequires:	perl(mro)
Requires:	perl(mro)
%else
BuildRequires:	perl(MRO::Compat)
Requires:	perl(MRO::Compat)
%endif

# perl-Role-Tiny was split from perl-Moo
Conflicts:	perl-Moo < 0.009014

%description
Role::Tiny is a minimalist role composition tool.

%prep
%setup -q -n Role-Tiny-%{version}

# We need to patch the test suite unless we have Test::More ≥ 0.88
%if %{old_test_more}
%patch0
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%clean
rm -rf %{buildroot}

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Role/
%{_mandir}/man3/Role::Tiny.3pm*
%{_mandir}/man3/Role::Tiny::With.3pm*

%changelog
* Sun Mar 16 2014 Paul Howarth <paul@city-fan.org> - 1.003003-2
- BR:/R: perl(Class::Method::Modifiers) unconditionally

* Sat Mar 15 2014 Paul Howarth <paul@city-fan.org> - 1.003003-1
- Update to 1.003003
  - Overloads specified as method names rather than subrefs are now applied
    properly
  - Allow superclass to provide conflicting methods (CPAN RT#91054)
  - Use ->is_role internally to check if a package is a role
  - Document that Role::Tiny applies strict and fatal warnings
- Require Class::Method::Modifiers at runtime where possible
- Update patch for building with old distributions

* Mon Mar  3 2014 Paul Howarth <paul@city-fan.org> - 1.003002-3
- Add support for building with old distributions

* Fri Dec 20 2013 Paul Howarth <paul@city-fan.org> - 1.003002-2
- Import from Fedora

* Fri Oct 18 2013 Miro Hrončok <mhroncok@redhat.com> - 1.003002-1
- 1.003002 bump

* Fri Aug 16 2013 Jitka Plesnikova <jplesnik@redhat.com> - 1.003001-1
- 1.003001 bump
- Specify all dependencies

* Sat Aug 03 2013 Petr Pisar <ppisar@redhat.com> - 1.002005-2
- Perl 5.18 rebuild

* Fri Feb 15 2013 Iain Arnell <iarnell@gmail.com> - 1.002005-1
- Update to latest upstream version

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.002004-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 02 2012 Iain Arnell <iarnell@gmail.com> - 1.002004-1
- Update to latest upstream version

* Sun Oct 28 2012 Iain Arnell <iarnell@gmail.com> - 1.002002-1
- Update to latest upstream version

* Sat Oct 27 2012 Iain Arnell <iarnell@gmail.com> - 1.002001-1
- Update to latest upstream version

* Sat Oct 20 2012 Iain Arnell <iarnell@gmail.com> - 1.002000-1
- Update to latest upstream version

* Sun Jul 29 2012 Iain Arnell <iarnell@gmail.com> - 1.001005-1
- Update to latest upstream version

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.001004-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 17 2012 Iain Arnell <iarnell@gmail.com> - 1.001004-1
- Update to latest upstream version

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 1.001002-2
- Perl 5.16 rebuild

* Tue May 08 2012 Iain Arnell <iarnell@gmail.com> - 1.001002-1
- Update to latest upstream version

* Fri Apr 27 2012 Iain Arnell <iarnell@gmail.com> - 1.001001-1
- Update to latest upstream version
- Don't explicity require Class::Method::Modifiers

* Wed Apr 04 2012 Iain Arnell <iarnell@gmail.com> - 1.000001-1
- Update to latest upstream version

* Mon Apr 02 2012 Iain Arnell <iarnell@gmail.com> - 1.000000-3
- Explicitly conflict with perl-Moo < 0.009014; this module used to be
  distributed as part of Moo

* Mon Apr 02 2012 Iain Arnell <iarnell@gmail.com> - 1.000000-2
- Fix spelling of cuisine in summary

* Sun Apr 01 2012 Iain Arnell <iarnell@gmail.com> - 1.000000-1
- Specfile autogenerated by cpanspec 1.79
